Stock Adjustment
curl --request POST \
--url https://api.jtl-cloud.com/erp/v2/stocks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"warehouseId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"itemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"quantity": 123,
"storageLocationId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"shelfLifeExpirationDate": "2023-11-07T05:31:56Z",
"batchNumber": "<string>",
"purchasePriceNet": 123,
"serialNumbers": [
"<string>"
],
"comment": "<string>"
}
'import requests
url = "https://api.jtl-cloud.com/erp/v2/stocks"
payload = {
"warehouseId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"itemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"quantity": 123,
"storageLocationId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"shelfLifeExpirationDate": "2023-11-07T05:31:56Z",
"batchNumber": "<string>",
"purchasePriceNet": 123,
"serialNumbers": ["<string>"],
"comment": "<string>"
}
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
warehouseId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
itemId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
quantity: 123,
storageLocationId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
shelfLifeExpirationDate: '2023-11-07T05:31:56Z',
batchNumber: '<string>',
purchasePriceNet: 123,
serialNumbers: ['<string>'],
comment: '<string>'
})
};
fetch('https://api.jtl-cloud.com/erp/v2/stocks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.jtl-cloud.com/erp/v2/stocks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'warehouseId' => 'b45f6432-2462-4c6f-b00f-1d9d01000000',
'itemId' => 'b45f6432-2462-4c6f-b00f-1d9d01000000',
'quantity' => 123,
'storageLocationId' => 'b45f6432-2462-4c6f-b00f-1d9d01000000',
'shelfLifeExpirationDate' => '2023-11-07T05:31:56Z',
'batchNumber' => '<string>',
'purchasePriceNet' => 123,
'serialNumbers' => [
'<string>'
],
'comment' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-tenant-id: <x-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.jtl-cloud.com/erp/v2/stocks"
payload := strings.NewReader("{\n \"warehouseId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\",\n \"itemId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\",\n \"quantity\": 123,\n \"storageLocationId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\",\n \"shelfLifeExpirationDate\": \"2023-11-07T05:31:56Z\",\n \"batchNumber\": \"<string>\",\n \"purchasePriceNet\": 123,\n \"serialNumbers\": [\n \"<string>\"\n ],\n \"comment\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-tenant-id", "<x-tenant-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.jtl-cloud.com/erp/v2/stocks")
.header("x-tenant-id", "<x-tenant-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"warehouseId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\",\n \"itemId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\",\n \"quantity\": 123,\n \"storageLocationId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\",\n \"shelfLifeExpirationDate\": \"2023-11-07T05:31:56Z\",\n \"batchNumber\": \"<string>\",\n \"purchasePriceNet\": 123,\n \"serialNumbers\": [\n \"<string>\"\n ],\n \"comment\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.jtl-cloud.com/erp/v2/stocks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-tenant-id"] = '<x-tenant-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"warehouseId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\",\n \"itemId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\",\n \"quantity\": 123,\n \"storageLocationId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\",\n \"shelfLifeExpirationDate\": \"2023-11-07T05:31:56Z\",\n \"batchNumber\": \"<string>\",\n \"purchasePriceNet\": 123,\n \"serialNumbers\": [\n \"<string>\"\n ],\n \"comment\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"warehouseId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"storageLocationId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"storageLocationName": "<string>",
"itemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"shelfLifeExpirationDate": "2023-11-07T05:31:56Z",
"batchNumber": "<string>",
"quantityTotal": 123,
"quantityLockedForShipment": 123,
"quantityLockedForAvailability": 123,
"quantityInPickingLists": 123
}{
"errorCode": "<string>",
"validationErrors": {},
"errors": {},
"errorMessage": "<string>",
"stacktrace": "<string>"
}{
"errorCode": "<string>",
"validationErrors": {},
"errors": {},
"errorMessage": "<string>",
"stacktrace": "<string>"
}Inventory
Stock Adjustment
Adjusts the stock of a specific item. Depending on the item and warehouse, many more details must be given (e.g., storage location, batch, …).
POST
/
v2
/
stocks
Stock Adjustment
curl --request POST \
--url https://api.jtl-cloud.com/erp/v2/stocks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"warehouseId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"itemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"quantity": 123,
"storageLocationId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"shelfLifeExpirationDate": "2023-11-07T05:31:56Z",
"batchNumber": "<string>",
"purchasePriceNet": 123,
"serialNumbers": [
"<string>"
],
"comment": "<string>"
}
'import requests
url = "https://api.jtl-cloud.com/erp/v2/stocks"
payload = {
"warehouseId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"itemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"quantity": 123,
"storageLocationId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"shelfLifeExpirationDate": "2023-11-07T05:31:56Z",
"batchNumber": "<string>",
"purchasePriceNet": 123,
"serialNumbers": ["<string>"],
"comment": "<string>"
}
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
warehouseId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
itemId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
quantity: 123,
storageLocationId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
shelfLifeExpirationDate: '2023-11-07T05:31:56Z',
batchNumber: '<string>',
purchasePriceNet: 123,
serialNumbers: ['<string>'],
comment: '<string>'
})
};
fetch('https://api.jtl-cloud.com/erp/v2/stocks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.jtl-cloud.com/erp/v2/stocks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'warehouseId' => 'b45f6432-2462-4c6f-b00f-1d9d01000000',
'itemId' => 'b45f6432-2462-4c6f-b00f-1d9d01000000',
'quantity' => 123,
'storageLocationId' => 'b45f6432-2462-4c6f-b00f-1d9d01000000',
'shelfLifeExpirationDate' => '2023-11-07T05:31:56Z',
'batchNumber' => '<string>',
'purchasePriceNet' => 123,
'serialNumbers' => [
'<string>'
],
'comment' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-tenant-id: <x-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.jtl-cloud.com/erp/v2/stocks"
payload := strings.NewReader("{\n \"warehouseId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\",\n \"itemId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\",\n \"quantity\": 123,\n \"storageLocationId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\",\n \"shelfLifeExpirationDate\": \"2023-11-07T05:31:56Z\",\n \"batchNumber\": \"<string>\",\n \"purchasePriceNet\": 123,\n \"serialNumbers\": [\n \"<string>\"\n ],\n \"comment\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-tenant-id", "<x-tenant-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.jtl-cloud.com/erp/v2/stocks")
.header("x-tenant-id", "<x-tenant-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"warehouseId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\",\n \"itemId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\",\n \"quantity\": 123,\n \"storageLocationId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\",\n \"shelfLifeExpirationDate\": \"2023-11-07T05:31:56Z\",\n \"batchNumber\": \"<string>\",\n \"purchasePriceNet\": 123,\n \"serialNumbers\": [\n \"<string>\"\n ],\n \"comment\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.jtl-cloud.com/erp/v2/stocks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-tenant-id"] = '<x-tenant-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"warehouseId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\",\n \"itemId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\",\n \"quantity\": 123,\n \"storageLocationId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\",\n \"shelfLifeExpirationDate\": \"2023-11-07T05:31:56Z\",\n \"batchNumber\": \"<string>\",\n \"purchasePriceNet\": 123,\n \"serialNumbers\": [\n \"<string>\"\n ],\n \"comment\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"warehouseId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"storageLocationId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"storageLocationName": "<string>",
"itemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"shelfLifeExpirationDate": "2023-11-07T05:31:56Z",
"batchNumber": "<string>",
"quantityTotal": 123,
"quantityLockedForShipment": 123,
"quantityLockedForAvailability": 123,
"quantityInPickingLists": 123
}{
"errorCode": "<string>",
"validationErrors": {},
"errors": {},
"errorMessage": "<string>",
"stacktrace": "<string>"
}{
"errorCode": "<string>",
"validationErrors": {},
"errors": {},
"errorMessage": "<string>",
"stacktrace": "<string>"
}Authorizations
oauth2-authorization-codeoauth2-client-credentials
Scopes
Headers
Query Parameters
Body
application/json
The relevant information for the stock change.
Model Class: CreateStock
Response
The created stock.
Model Class: Stock
Was this page helpful?